> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Simulator Member Location



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/simulator-location
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/simulator-location:
    post:
      summary: Update Simulator Member Location
      operationId: >-
        integrations_api_api_v2_organizations_users_inverters_simulator_location_update_simulator_member_location
      parameters:
        - in: path
          name: org_id
          schema:
            format: uuid
            title: Org Id
            type: string
          required: true
        - in: path
          name: user_id
          schema:
            format: uuid
            title: User Id
            type: string
          required: true
        - in: path
          name: inverter_id
          schema:
            format: uuid
            title: Inverter Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LocationAction'
        required: true
      responses:
        '200':
          description: OK
      security:
        - OAuth2: []
components:
  schemas:
    LocationAction:
      properties:
        connection_id:
          format: uuid
          title: Connection Id
          type: string
        action:
          enum:
            - set_member_location
            - use_inverter_location
            - retry
          title: Action
          type: string
        latitude:
          anyOf:
            - maximum: 90
              minimum: -90
              type: number
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - maximum: 180
              minimum: -180
              type: number
            - type: 'null'
          title: Longitude
      required:
        - connection_id
        - action
      title: LocationAction
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````